Đến nội dung


Hình ảnh
- - - - -

[yêu cầu] Tạo các list(text) nằm trong các pline khác nhau


  • Please log in to reply
7 replies to this topic

#1 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 07 November 2012 - 10:40 AM

Nhờ mọi người giúp đỡ viết cho tôi 1 lisp tạo các list chứa các đối tượng text nằm trong các pline khác nhau (các text trong 1 pline tương ứng với 1 list chứa nội dung text) mục đích của việc này là tôi chuyển các text qua excell về 4 cột
file yêu cầu
http://www.cadviet.c...960_yeu_cau.dwg
  • 0

#2 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 07 November 2012 - 11:19 AM

Yêu cầu của bạn khó hiểu quá. Bạn diễn đạt như vậy thì không ai giúp bạn nổi đâu.
  • 0

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#3 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 07 November 2012 - 02:21 PM

Yêu cầu của bạn khó hiểu quá. Bạn diễn đạt như vậy thì không ai giúp bạn nổi đâu.

ý mình làm sao xác định được những text nào nằm trong 1 vùng kín như ý của Bác Phanthanhbinh ở diễn đàn #3
http://www.cadviet.c...showtopic=67275
  • 0

#4 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 07 November 2012 - 03:29 PM

Bạn dùng hàm ssget để chọn các text trong pline kín (lấy tọa độ dỉnh pline trước rồi lồng vào ssget).

  • 0

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 07 November 2012 - 04:07 PM

Nôm na như này
 
(setq plst (acet-geom-vertex-list dt))
(setq SS (ssget "wp" plst (list (cons 0 "text"))))
Trong đó dt là cái pline (không chứa đoạn cong)
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#6 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 08 November 2012 - 10:50 AM

Nôm na như này


(setq plst (acet-geom-vertex-list dt))
(setq SS (ssget "wp" plst (list (cons 0 "text"))))
Trong đó dt là cái pline (không chứa đoạn cong)

Bạn có thể viết cho mình lệnh gán pline vào biến dt, chứ mình làm hoài mà không được
  • 0

#7 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 08 November 2012 - 11:04 AM

Ví dụ lệnh xtpl sẽ xóa toàn bộ đối tượng là text nằm trong pline.
 
(defun c:xtpl ()
(setq dt (car (entsel "\nChon curve:")))
(setq SS (ssget "wp" (acet-geom-vertex-list dt) (list (cons 0 "text"))))
(command ".erase" ss "")
)

  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#8 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 08 November 2012 - 02:59 PM

Ví dụ lệnh xtpl sẽ xóa toàn bộ đối tượng là text nằm trong pline.


(defun c:xtpl ()
(setq dt (car (entsel "\nChon curve:")))
(setq SS (ssget "wp" (acet-geom-vertex-list dt) (list (cons 0 "text"))))
(command ".erase" ss "")
)

Cám ơn bạn nhiều!!
giờ mới hiểu gán đối tượng vào biến chứ mình về mày mò cả buổi mà không ra được
  • 0